package vererbung3;

/**
 * Klasse repräsentiert eine Person.
 * @author Ralf Kunze, Institut für Informatik, Universität Osnabrück
 * @version 4/2007
 */
public class Person {
	/**
	 * Name der Person
	 */
	private String name;
	
	/**
	 * Default Constructor, setzt den Namen auf <tt>NA</tt>.
	 */
	public Person() {
		this("NA");
	}
	
	/**
	 * Custom Constructor.
	 * @param name Name der Person
	 */	
	public Person(String name) {
		this.setName(name);
		// Alternativ auch moeglich:
		// this.name = name;
		// Verwendung der Methode besser,
		// da dort ggf. noch Fehlerbehandlungen
		// durchgefuehrt werden
	}
	
	/**
	 * Liefert den Namen der Person zurück.
	 * @return Name der Person
	 */
	public String getName() {
		return name;
	}
	
	/**
	 * Setzt den Namen einer Person.
	 * @param name Neuer Name der Person
	 */
	public void setName(String name) {
		this.name = name;
	}
}
